SapccApiCreateTicketEventRequest
Request parameters for createTicketEvent operation in SapccApi. SapccApiCreateTicketEventRequest
interface SapccApiCreateTicketEventRequest {
readonly baseSiteId: string;
readonly fields?: string;
readonly ticketEvent: TicketEvent;
readonly ticketId: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiCreateTicketEvent |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateTicketEvent |
ticketEvent | Required | TicketEvent | {TicketEvent} SapccApiCreateTicketEvent |
ticketId | Required | string | Ticket identifier.<br> Example: ```00000001```. {string} SapccApiCreateTicketEvent |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateTicketEvent |